package commands;

import java.io.IOException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import business.Mensalidade;
import dao.FacadeDAO;

public class MensalidadePreenche extends AbstractCommand {

	public void processarComando(HttpServletRequest request,
			HttpServletResponse response, HttpServlet servlet) {
		ArrayList<Mensalidade> mensalidades = new ArrayList<Mensalidade>();
		String id = request.getParameter("id");
		Mensalidade mensalidade = FacadeDAO.getInstance(servlet)
				.getMensalidadeDAO().leMensalidade(Integer.parseInt(id));
		mensalidades.add(mensalidade);
		request.setAttribute("mensalidades", mensalidades);

		RequestDispatcher rd = request
				.getRequestDispatcher("mensalidadeAlterar.jsp");
		try {
			rd.forward(request, response);
		} catch (ServletException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
